Example

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
CNFBCalibrator.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CSession.h"`
Include dependency graph for CNFBCalibrator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clCIndividualNFBData

## Typedefs
typedef enum clCIndividualNFBCalibrationStage | clCIndividualNFBCalibrationStage
typedef void(* | clCNFBCalibratorHandlerIndividualNFBCalibrationStage) (clCNFBCalibrator)
typedef enum clCIndividualNFBCalibrationFailReason | clCIndividualNFBCalibrationFailReason
typedef void(* | clCNFBCalibratorHandlerIndividualNFBCalibrated) (clCNFBCalibrator, const clCIndividualNFBData *, clCIndividualNFBCalibrationFailReason)
typedef void(* | clCNFBCalibratorHandlerReadyToCalibrate) (clCNFBCalibrator)

## Enumerations
enum | clCIndividualNFBCalibrationStage { clCIndividualNFBCalibrationStage1 , clCIndividualNFBCalibrationStage2 , clCIndividualNFBCalibrationStage3 , clCIndividualNFBCalibrationStage4 }
enum | clCIndividualNFBCalibrationFailReason { clC_IndividualNFBCalibrationFailReason_None = 0 , clC_IndividualNFBCalibrationFailReason_TooManyArtifacts , clC_IndividualNFBCalibrationFailReason_PeakIsABorder }

## Functions
| CLC_CLASS_WN (NFBCalibratorPrivate, clCNFBCalibrator)
| Individual NFB calibrator.
CL_DLL clCNFBCalibrator | clCNFBCalibrator_CreateOrGet (clCSession session) NOEXCEPT
| Obtain an individual NFB calibrator for the session. If not present, it'll be created.
CL_DLL void | clCNFBCalibrator_CalibrateIndividualNFB (clCNFBCalibrator nfbCalibrator, clCIndividualNFBCalibrationStage stage, clCError *error) NOEXCEPT
| Start stage of individual NFB calibration.
CL_DLL void | clCNFBCalibrator_CalibrateIndividualNFBQuick (clCNFBCalibrator nfbCalibratorPtr, clCError *error) NOEXCEPT
| Start stage of quick individual NFB calibration.
| CLC_STRUCT (clCNFBCalibratorDelegateIndividualNFBCalibrationStage)
CL_DLL void | clCNFBCalibratorDelegateIndividualNFBCalibrationStage_Set (clCNFBCalibratorDelegateIndividualNFBCalibrationStage delegate, clCNFBCalibratorHandlerIndividualNFBCalibrationStage handler) NOEXCEPT
| Set handler for individual calibration event.
CL_DLL clCNFBCalibratorDelegateIndividualNFBCalibrationStage | clCNFBCalibrator_GetOnIndividualNFBStageFinishedEvent (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Get handler for individual calibration stage event.
| CLC_STRUCT (clCNFBCalibratorDelegateIndividualNFBCalibrated)
CL_DLL void | clCNFBCalibratorDelegateIndividualNFBCalibrated_Set (clCNFBCalibratorDelegateIndividualNFBCalibrated delegate, clCNFBCalibratorHandlerIndividualNFBCalibrated handler) NOEXCEPT
| Set handler for individual calibration finish event.
CL_DLL clCNFBCalibratorDelegateIndividualNFBCalibrated | clCNFBCalibrator_GetOnIndividualNFBCalibratedEvent (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Get handler for individual calibration finish event.
CL_DLL bool | clCNFBCalibrator_IsCalibrated (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Is calibration finished.
CL_DLL bool | clCNFBCalibrator_HasCalibrationFailed (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Has calibration failed.
CL_DLL bool | clCNFBCalibrator_IsReady (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Is calibrator ready to calibrate individual NFB data.
| CLC_STRUCT (clCNFBCalibratorDelegateReadyToCalibrate)
CL_DLL void | clCNFBCalibratorDelegateReadyToCalibrate_Set (clCNFBCalibratorDelegateReadyToCalibrate delegate, clCNFBCalibratorHandlerReadyToCalibrate handler) NOEXCEPT
| Set handler for calibrator ready to calibrate.
CL_DLL clCNFBCalibratorDelegateReadyToCalibrate | clCNFBCalibrator_GetOnReadyToCalibrate (clCNFBCalibrator nfbCalibrator) NOEXCEPT
| Get handler for calibrator ready to calibrate.

## Typedef Documentation

## ◆ clCIndividualNFBCalibrationFailReason

typedef enum clCIndividualNFBCalibrationFailReason clCIndividualNFBCalibrationFailReason

## ◆ clCIndividualNFBCalibrationStage

typedef enum clCIndividualNFBCalibrationStage clCIndividualNFBCalibrationStage

## ◆ clCNFBCalibratorHandlerIndividualNFBCalibrated

typedef void(* clCNFBCalibratorHandlerIndividualNFBCalibrated) (clCNFBCalibrator, const clCIndividualNFBData *, clCIndividualNFBCalibrationFailReason)

## ◆ clCNFBCalibratorHandlerIndividualNFBCalibrationStage

typedef void(* clCNFBCalibratorHandlerIndividualNFBCalibrationStage) (clCNFBCalibrator)

## ◆ clCNFBCalibratorHandlerReadyToCalibrate

typedef void(* clCNFBCalibratorHandlerReadyToCalibrate) (clCNFBCalibrator)

## Enumeration Type Documentation

## ◆ clCIndividualNFBCalibrationFailReason

enum clCIndividualNFBCalibrationFailReason

Enumerator
clC_IndividualNFBCalibrationFailReason_None |
clC_IndividualNFBCalibrationFailReason_TooManyArtifacts |
clC_IndividualNFBCalibrationFailReason_PeakIsABorder |

## ◆ clCIndividualNFBCalibrationStage

enum clCIndividualNFBCalibrationStage

Enumerator
clCIndividualNFBCalibrationStage1 |
clCIndividualNFBCalibrationStage2 |
clCIndividualNFBCalibrationStage3 |
clCIndividualNFBCalibrationStage4 |

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | NFBCalibratorPrivate | ,
|  | clCNFBCalibrator |
| ) |  |

Individual NFB calibrator.

## ◆ CLC_STRUCT() [1/3]

CLC_STRUCT | ( | clCNFBCalibratorDelegateIndividualNFBCalibrated |  | ) |

## ◆ CLC_STRUCT() [2/3]

CLC_STRUCT | ( | clCNFBCalibratorDelegateIndividualNFBCalibrationStage |  | ) |

## ◆ CLC_STRUCT() [3/3]

CLC_STRUCT | ( | clCNFBCalibratorDelegateReadyToCalibrate |  | ) |

## ◆ clCNFBCalibrator_CalibrateIndividualNFB()

CL_DLL void clCNFBCalibrator_CalibrateIndividualNFB | ( | clCNFBCalibrator | nfbCalibrator,
|  | clCIndividualNFBCalibrationStage | stage,
|  | clCError * | error
| ) |  |

Start stage of individual NFB calibration.

Parameters

  stage | the user must call this method 4 times sequentially changing this argument from Stage1 to Stage4
  error | the error out parameter

## ◆ clCNFBCalibrator_CalibrateIndividualNFBQuick()

CL_DLL void clCNFBCalibrator_CalibrateIndividualNFBQuick | ( | clCNFBCalibrator | nfbCalibratorPtr,
|  | clCError * | error
| ) |  |

Start stage of quick individual NFB calibration.

Parameters

  error | the error out parameter

## ◆ clCNFBCalibrator_CreateOrGet()

CL_DLL clCNFBCalibrator clCNFBCalibrator_CreateOrGet | ( | clCSession | session | ) |

Obtain an individual NFB calibrator for the session. If not present, it'll be created.

Parameters

  session | session handle. A valid session must be passed (does not need to be active)

Returns
  NFB calibrator handle

## ◆ clCNFBCalibrator_GetOnIndividualNFBCalibratedEvent()

CL_DLL clCNFBCalibratorDelegateIndividualNFBCalibrated clCNFBCalibrator_GetOnIndividualNFBCalibratedEvent | ( | clCNFBCalibrator | nfbCalibrator | ) |

Get handler for individual calibration finish event.

Parameters

  nfbCalibrator |

Returns
  calibration finish delegate

## ◆ clCNFBCalibrator_GetOnIndividualNFBStageFinishedEvent()

CL_DLL clCNFBCalibratorDelegateIndividualNFBCalibrationStage clCNFBCalibrator_GetOnIndividualNFBStageFinishedEvent | ( | clCNFBCalibrator | nfbCalibrator | ) |

Get handler for individual calibration stage event.

Parameters

  nfbCalibrator |

Returns
  calibration stage delegate

## ◆ clCNFBCalibrator_GetOnReadyToCalibrate()

CL_DLL clCNFBCalibratorDelegateReadyToCalibrate clCNFBCalibrator_GetOnReadyToCalibrate | ( | clCNFBCalibrator | nfbCalibrator | ) |

Get handler for calibrator ready to calibrate.

Parameters

  nfbCalibrator |

Returns
  calibrator ready to calibrate delegate

## ◆ clCNFBCalibrator_HasCalibrationFailed()

CL_DLL bool clCNFBCalibrator_HasCalibrationFailed | ( | clCNFBCalibrator | nfbCalibrator | ) |

Has calibration failed.

Parameters

  nfbCalibrator |

Returns
  `true` if calibration has failed

## ◆ clCNFBCalibrator_IsCalibrated()

CL_DLL bool clCNFBCalibrator_IsCalibrated | ( | clCNFBCalibrator | nfbCalibrator | ) |

Is calibration finished.

Parameters

  nfbCalibrator |

Returns
  `true` if calibration has finished

## ◆ clCNFBCalibrator_IsReady()

CL_DLL bool clCNFBCalibrator_IsReady | ( | clCNFBCalibrator | nfbCalibrator | ) |

Is calibrator ready to calibrate individual NFB data.

Parameters

  nfbCalibrator |

Returns
  `true` if calibrator is ready to calibrate individual NFB data

## ◆ clCNFBCalibratorDelegateIndividualNFBCalibrated_Set()

CL_DLL void clCNFBCalibratorDelegateIndividualNFBCalibrated_Set | ( | clCNFBCalibratorDelegateIndividualNFBCalibrated | delegate,
|  | clCNFBCalibratorHandlerIndividualNFBCalibrated | handler
| ) |  |

Set handler for individual calibration finish event.

## ◆ clCNFBCalibratorDelegateIndividualNFBCalibrationStage_Set()

CL_DLL void clCNFBCalibratorDelegateIndividualNFBCalibrationStage_Set | ( | clCNFBCalibratorDelegateIndividualNFBCalibrationStage | delegate,
|  | clCNFBCalibratorHandlerIndividualNFBCalibrationStage | handler
| ) |  |

Set handler for individual calibration event.

## ◆ clCNFBCalibratorDelegateReadyToCalibrate_Set()

CL_DLL void clCNFBCalibratorDelegateReadyToCalibrate_Set | ( | clCNFBCalibratorDelegateReadyToCalibrate | delegate,
|  | clCNFBCalibratorHandlerReadyToCalibrate | handler
| ) |  |

Set handler for calibrator ready to calibrate.